---
title: CSSNumericValue.to()
slug: Web/API/CSSNumericValue/to
tags:
  - API
  - CSS Typed Object Model API
  - CSSNumericValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - to()
---
<div>{{draft}}{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>to()</code></strong> method of the {{domxref("CSSNumericValue")}} interface converts a numberic value from one unit to another.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var cssUnitValue = CSSNumericValue.to(unit);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>unit</dt>
 <dd>The unit to which you want to convert.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref('CSSMathSum')}}.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>SyntaxError</dt>
 <dd>Indicates that an invalid type was passed to the method.</dd>
 <dt>TypeError</dt>
 <dd>Indicates that the passed values cannot be summed.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Prints "0.608542cm"
console.log(CSS.px("23").to("com").toString());</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssnumericvalue-to','to')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSNumericValue.to")}}</p>
